--
-- PostgreSQL database dump
--

SET statement_timeout = 0;
SET lock_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SET check_function_bodies = false;
SET client_min_messages = warning;

--
-- Name: savemesafe; Type: SCHEMA; Schema: -; Owner: postgres
--

CREATE SCHEMA savemesafe;


ALTER SCHEMA savemesafe OWNER TO postgres;

SET search_path = savemesafe, pg_catalog;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- Name: account; Type: TABLE; Schema: savemesafe; Owner: postgres; Tablespace: 
--

CREATE TABLE account (
    id integer NOT NULL,
    description character varying(255),
    expirationdate timestamp without time zone,
    name character varying(255),
    urnaccess character varying(255),
    useremail character varying(255),
    username character varying(255),
    userpassword character varying(255),
    ownergroup integer
);


ALTER TABLE savemesafe.account OWNER TO postgres;

--
-- Name: account_id_seq; Type: SEQUENCE; Schema: savemesafe; Owner: postgres
--

CREATE SEQUENCE account_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE savemesafe.account_id_seq OWNER TO postgres;

--
-- Name: account_id_seq; Type: SEQUENCE OWNED BY; Schema: savemesafe; Owner: postgres
--

ALTER SEQUENCE account_id_seq OWNED BY account.id;


--
-- Name: accountgroup; Type: TABLE; Schema: savemesafe; Owner: postgres; Tablespace: 
--

CREATE TABLE accountgroup (
    id integer NOT NULL,
    description character varying(255),
    name character varying(255),
    owneruser integer
);


ALTER TABLE savemesafe.accountgroup OWNER TO postgres;

--
-- Name: accountgroup_id_seq; Type: SEQUENCE; Schema: savemesafe; Owner: postgres
--

CREATE SEQUENCE accountgroup_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE savemesafe.accountgroup_id_seq OWNER TO postgres;

--
-- Name: accountgroup_id_seq; Type: SEQUENCE OWNED BY; Schema: savemesafe; Owner: postgres
--

ALTER SEQUENCE accountgroup_id_seq OWNED BY accountgroup.id;


--
-- Name: additionaldata; Type: TABLE; Schema: savemesafe; Owner: postgres; Tablespace: 
--

CREATE TABLE additionaldata (
    id integer NOT NULL,
    key character varying(255),
    value character varying(255),
    owneraccount integer
);


ALTER TABLE savemesafe.additionaldata OWNER TO postgres;

--
-- Name: user; Type: TABLE; Schema: savemesafe; Owner: postgres; Tablespace: 
--

CREATE TABLE "user" (
    id integer NOT NULL,
    actiontoken character varying(255),
    blocked boolean NOT NULL,
    creationdate timestamp without time zone,
    email character varying(254),
    lastlogindate timestamp without time zone,
    name character varying(16),
    password character varying(255),
    trynumber integer NOT NULL
);


ALTER TABLE savemesafe."user" OWNER TO postgres;

--
-- Name: user_id_seq; Type: SEQUENCE; Schema: savemesafe; Owner: postgres
--

CREATE SEQUENCE user_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE savemesafe.user_id_seq OWNER TO postgres;

--
-- Name: user_id_seq; Type: SEQUENCE OWNED BY; Schema: savemesafe; Owner: postgres
--

ALTER SEQUENCE user_id_seq OWNED BY "user".id;


--
-- Name: id; Type: DEFAULT; Schema: savemesafe; Owner: postgres
--

ALTER TABLE ONLY account ALTER COLUMN id SET DEFAULT nextval('account_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: savemesafe; Owner: postgres
--

ALTER TABLE ONLY accountgroup ALTER COLUMN id SET DEFAULT nextval('accountgroup_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: savemesafe; Owner: postgres
--

ALTER TABLE ONLY "user" ALTER COLUMN id SET DEFAULT nextval('user_id_seq'::regclass);


--
-- Name: account_pkey; Type: CONSTRAINT; Schema: savemesafe; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY account
    ADD CONSTRAINT account_pkey PRIMARY KEY (id);


--
-- Name: accountgroup_pkey; Type: CONSTRAINT; Schema: savemesafe; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY accountgroup
    ADD CONSTRAINT accountgroup_pkey PRIMARY KEY (id);


--
-- Name: additionaldata_pkey; Type: CONSTRAINT; Schema: savemesafe; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY additionaldata
    ADD CONSTRAINT additionaldata_pkey PRIMARY KEY (id);


--
-- Name: uk_gj2fy3dcix7ph7k8684gka40c; Type: CONSTRAINT; Schema: savemesafe; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY "user"
    ADD CONSTRAINT uk_gj2fy3dcix7ph7k8684gka40c UNIQUE (name);


--
-- Name: uk_ob8kqyqqgmefl0aco34akdtpe; Type: CONSTRAINT; Schema: savemesafe; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY "user"
    ADD CONSTRAINT uk_ob8kqyqqgmefl0aco34akdtpe UNIQUE (email);


--
-- Name: uk_pqfeh4hsl4q2ff8jt8iffm3sy; Type: CONSTRAINT; Schema: savemesafe; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY "user"
    ADD CONSTRAINT uk_pqfeh4hsl4q2ff8jt8iffm3sy UNIQUE (actiontoken);


--
-- Name: user_pkey; Type: CONSTRAINT; Schema: savemesafe; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY "user"
    ADD CONSTRAINT user_pkey PRIMARY KEY (id);


--
-- Name: fk_anbelxaw1ld7pyytwh2oh9oal; Type: FK CONSTRAINT; Schema: savemesafe; Owner: postgres
--

ALTER TABLE ONLY accountgroup
    ADD CONSTRAINT fk_anbelxaw1ld7pyytwh2oh9oal FOREIGN KEY (owneruser) REFERENCES "user"(id);


--
-- Name: fk_d2pperxkebemeqfh5ob2l4mi5; Type: FK CONSTRAINT; Schema: savemesafe; Owner: postgres
--

ALTER TABLE ONLY additionaldata
    ADD CONSTRAINT fk_d2pperxkebemeqfh5ob2l4mi5 FOREIGN KEY (owneraccount) REFERENCES account(id);


--
-- Name: fk_mlp80p49w7mj8fpd99rflp3go; Type: FK CONSTRAINT; Schema: savemesafe; Owner: postgres
--

ALTER TABLE ONLY account
    ADD CONSTRAINT fk_mlp80p49w7mj8fpd99rflp3go FOREIGN KEY (ownergroup) REFERENCES accountgroup(id);


--
-- PostgreSQL database dump complete
--

