/** 
 * @author ngel Arias Romero. 
 * UOC - TFC SaveMeSafe 2015
 */
package ejb;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

// TODO: Auto-generated Javadoc
/**
 * The Class Email.
 */
public class Email implements Serializable {

	/** The Constant serialVersionUID. */
	private static final long serialVersionUID = 1L;

	/** The subject. */
	private String subject;

	/** The body. */
	private String body;

	/** The address. */
	private List<String> address;

	/**
	 * Instantiates a new email.
	 *
	 * @param subject
	 *            the subject
	 * @param body
	 *            the body
	 * @param addresses
	 *            the addresses
	 */
	public Email(String subject, String body, String... addresses) {
		this.subject = subject;
		this.body = body;
		List<String> emails = new ArrayList<String>();
		for (String address : addresses) {
			emails.add(address);
		}
		setAddress(emails);
	}

	/**
	 * Gets the subject.
	 *
	 * @return the subject
	 */
	public String getSubject() {
		return subject;
	}

	/**
	 * Sets the subject.
	 *
	 * @param subject
	 *            the new subject
	 */
	public void setSubject(String subject) {
		this.subject = subject;
	}

	/**
	 * Gets the address.
	 *
	 * @return the address
	 */
	public List<String> getAddress() {
		return address;
	}

	/**
	 * Sets the address.
	 *
	 * @param address
	 *            the new address
	 */
	public void setAddress(List<String> address) {
		this.address = address;
	}

	/**
	 * Gets the body.
	 *
	 * @return the body
	 */
	public String getBody() {
		return body;
	}

	/**
	 * Sets the body.
	 *
	 * @param body
	 *            the new body
	 */
	public void setBody(String body) {
		this.body = body;
	}
}