/** 
 * @author ngel Arias Romero. 
 * UOC - TFC SaveMeSafe 2015
 */

package helpers;

import java.io.IOException;

import javax.servlet.Filter;
import javax.servlet.FilterChain;
import javax.servlet.FilterConfig;
import javax.servlet.ServletException;
import javax.servlet.ServletRequest;
import javax.servlet.ServletResponse;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import managedbean.LoginUserView;

/**
 * Verifica la sesin HTTP y la instancia del bean de sesin loginUser,
 * redireccionando a una pgina de error en caso de error.
 * 
 *
 */
public class LoginFilter implements Filter {

	@Override
	public void init(FilterConfig arg0) throws ServletException {
		// TODO Auto-generated method stub

	}

	@Override
	public void destroy() {
		// TODO Auto-generated method stub

	}

	/**
	 * Verifica la sesin HTTP y la instancia del bean de sesin loginUser,
	 * redireccionando a una pgina de error en caso de error.
	 */
	@Override
	public void doFilter(ServletRequest request, ServletResponse response,
			FilterChain chain) throws IOException, ServletException {

		// Validamos si la sesin actual ha expirado o no se ha iniciado.
		HttpSession session = ((HttpServletRequest) request).getSession(false);
		if (session == null || (session != null && !session.isNew())) {
			// Sobre la sesin actual obtenemos la referencia al bean de sesin
			// 'loginUser'.
			LoginUserView loginBean = (LoginUserView) ((HttpServletRequest) request)
					.getSession().getAttribute("loginUser");
			// Para la primera peticin no existe el bean loginBen en la sessin
			// por lo que el usuario debe hacer login.
			// Para el resto de las peticiones puede estar presetne pero debemos
			// comprobar si efectivamente ha podido hacer logn.
			if (loginBean != null && loginBean.isLoggedIn()) {
				// Login correcto, el usuario puede acceder al resto de pginas
				// albergadas en el path /secured/*
				chain.doFilter(request, response);
			} else {
				// Si la sesin el vlida pero el usuario no ha hecho login
				// redirigimos a la pgina de login.
				HttpServletResponse res = (HttpServletResponse) response;
				res.sendRedirect(((HttpServletRequest) request)
						.getContextPath() + "/public/login.xhtml");
			}
		} else {
			// Si hubo una sesin vlida pero sta ha expirado redirigimos a la
			// pgina de error.
			((HttpServletResponse) response)
					.sendRedirect(((HttpServletRequest) request)
							.getContextPath() + "/public/error.xhtml");
		}
	}

}