/** 
 * @author ngel Arias Romero. 
 * UOC - TFC SaveMeSafe 2015
 */
package jpa;

import java.io.Serializable;

import javax.persistence.Entity;
import javax.persistence.EntityListeners;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

// TODO: Auto-generated Javadoc
/**
 * JPA Class AccountJPA.
 */
@Entity
@Table(name = "additionalData", schema = "savemesafe")
/**
 * La clase CryptoConverterAdditionalAccountInfoListener.class ser invocada cuando se instance esta entidad 
 * y permite cifrar y descifrar los datos requeridos de forma transparente.
 */
@EntityListeners(CryptoConverterAdditionalAccountInfoListener.class)
public class AdditionalAccountInfoJPA implements Serializable {

	/** The Constant serialVersionUID. */
	private static final long serialVersionUID = 1L;

	/** The id. */
	@Id
	@GeneratedValue(strategy = GenerationType.AUTO)
	private int id;

	/** The key. */
	private String key;
	
	/** The value. */
	private String value;

	/** The owner account. */
	@ManyToOne
	@JoinColumn(name = "ownerAccount")
	private AccountJPA ownerAccount;

	/**
	 * Gets the id.
	 *
	 * @return the id
	 */
	public int getId() {
		return id;
	}

	/**
	 * Sets the id.
	 *
	 * @param id the new id
	 */
	public void setId(int id) {
		this.id = id;
	}

	/**
	 * Gets the owner account.
	 *
	 * @return the owner account
	 */
	public AccountJPA getOwnerAccount() {
		return ownerAccount;
	}

	/**
	 * Sets the owner account.
	 *
	 * @param ownerGroup the new owner account
	 */
	public void setOwnerAccount(AccountJPA ownerGroup) {
		this.ownerAccount = ownerGroup;
	}

	/**
	 * Gets the key.
	 *
	 * @return the key
	 */
	public String getKey() {
		return key;
	}

	/**
	 * Sets the key.
	 *
	 * @param key the new key
	 */
	public void setKey(String key) {
		this.key = key;
	}

	/**
	 * Gets the value.
	 *
	 * @return the value
	 */
	public String getValue() {
		return value;
	}

	/**
	 * Sets the value.
	 *
	 * @param value the new value
	 */
	public void setValue(String value) {
		this.value = value;
	}

}
